import { RequestHandler } from 'express';
import { HandlerFunction } from './functions';
import { SignatureType } from './types';
/**
 * Wraps a user function with the provided signature type in an express
 * RequestHandler.
 * @param userFunction User's function.
 * @return An Express hander function that invokes the user function.
 */
export declare const wrapUserFunction: <T = unknown>(userFunction: HandlerFunction<T>, signatureType: SignatureType, context?: object) => RequestHandler;
//# sourceMappingURL=function_wrappers.d.ts.map