import { OpenFunctionRuntime } from '../../runtime';
import Tracing from '.';
/**
 * SkyWalking specific implementation of tracer plugin.
 * See also: https://github.com/apache/skywalking-data-collect-protocol/blob/master/language-agent/Tracing.proto
 */
export default class SkyWalking extends Tracing {
    #private;
    /**
     * It starts the SkyWalking tracer agent.
     */
    protected startAgent(): Promise<void>;
    /**
     * It creates a new entry span, sets the span layer to FAAS, and sets the span tags.
     * @param ctx - OpenFunctionRuntime - The context object that is passed to the function.
     */
    protected startSpan(ctx: OpenFunctionRuntime): Promise<void>;
    /**
     * It stops the current span, and if there was an error, it marks the span as an error.
     * @param ctx - OpenFunctionRuntime - The context object that is passed to the function.
     */
    protected stopSpan(ctx: OpenFunctionRuntime): Promise<void>;
}
//# sourceMappingURL=skywalking.d.ts.map